"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var SelectComponent = (function () {
    function SelectComponent() {
    }
    SelectComponent.prototype.ngOnInit = function () {
        if (!this.options) {
            this.options = [
                {
                    id: 1,
                    name: 'a1',
                }, {
                    id: 2,
                    name: 'a2'
                }, {
                    id: 3,
                    name: 'a3'
                }, {
                    id: 4,
                    name: 'a4'
                }
            ];
        }
        if (!this.defaultSelect) {
            this.defaultSelect = this.options[0];
        }
    };
    SelectComponent.prototype.onDocumentClick = function (ev) {
        this.moreOption.nativeElement.style.display = 'none';
    };
    SelectComponent.prototype.showOption = function (ev) {
        ev.stopPropagation();
        ev.preventDefault();
        this.moreOption.nativeElement.style.display = 'block';
    };
    SelectComponent.prototype.changeItem = function (item) {
        if (this.defaultSelect && this.defaultSelect.id === item.id) {
            return;
        }
        this.defaultSelect = item;
    };
    SelectComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'dc-select',
                    template: "\n  <div class=\"dc-select-outer\">\n  <div class=\"dc-select-input\">\n    <input [(ngModel)]=\"defaultSelect.name\" [readonly]=\"isReadonly\">\n    <span (click)=\"showOption($event)\">show drop</span>\n  </div>\n  <ul class=\"dc-select-drop\" #moreOption>\n    <li *ngFor=\"let o of options\" (click)=\"changeItem(o)\">{{o.name}}</li>\n  </ul>\n</div>\n  ",
                    styles: [
                        '.dc-select-outer{' +
                            'position: relative;}',
                        '.dc-select-input{' +
                            'height: 30px;}',
                        '.dc-select-drop{' +
                            'display: none;' +
                            'position: absolute;' +
                            'left: 0;' +
                            'top: 30px;' +
                            'background-color: #fff;' +
                            'border: 1px solid #ccc;' +
                            'box-shadow: 0 1px 0.125rem rgba(115, 115, 115, 0.25);' +
                            'z-index: 10;}'
                    ]
                },] },
    ];
    /** @nocollapse */
    SelectComponent.ctorParameters = function () { return []; };
    SelectComponent.propDecorators = {
        "options": [{ type: core_1.Input },],
        "defaultSelect": [{ type: core_1.Input },],
        "isReadonly": [{ type: core_1.Input },],
        "moreOption": [{ type: core_1.ViewChild, args: ['moreOption',] },],
        "onDocumentClick": [{ type: core_1.HostListener, args: ['document:click', ['$event'],] },],
    };
    return SelectComponent;
}());
exports.SelectComponent = SelectComponent;
//# sourceMappingURL=select.component.js.map