"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var router_1 = require("@angular/router");
var TipComponent = (function () {
    function TipComponent(router, resolver, elementRef, injector, applicationRef) {
        this.router = router;
        this.resolver = resolver;
        this.elementRef = elementRef;
        this.injector = injector;
        this.applicationRef = applicationRef;
    }
    TipComponent.prototype.ngOnInit = function () {
        var _this = this;
        if (this.data.type == 'success') {
            this.title = "提示";
        }
        if (this.data.type == 'error') {
            this.title = "错误";
        }
        this.message = this.data.title;
        this.show = false;
        setTimeout(function () {
            _this.show = false;
        }, 3000);
    };
    TipComponent.prototype.ngOnDestroy = function () {
    };
    TipComponent.prototype.ngDoCheck = function () {
    };
    TipComponent.prototype.ngAfterViewInit = function () {
        var _this = this;
        setTimeout(function () {
            _this.show = true;
        });
    };
    TipComponent.prototype.closeComponent = function () {
        var _this = this;
        this.show = false;
        setTimeout(function () {
            _this.closeResolve('close');
        }, 300);
    };
    TipComponent.prototype.ngOnChanges = function (changes) {
    };
    TipComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: "tip",
                    template: "\n   <div class=\"tip-container\" [ngClass]=\"{'success':data.type=='success','error':data.type=='error','show':show}\">\n      <div>{{title}}</div>\n      <div class=\"message\">\n        {{message}}\n      </div>\n   </div>\n  ",
                    styles: [
                        "\n    .tip-container {\n      z-index:1000;\n      position:absolute;\n      color:#fff;\n      font-weight:400;\n      width:200px;\n      height:50px;\n      display: flex;\n      flex-direction: column;\n      opacity: 0;\n      transition: opacity 0.3s ease-in; \n    }\n    .tip-container.success{\n      background-color:#41c99f\n    }\n    .tip-container.error{\n      background-color:#f85f5b\n    }\n    .message{\n      display: flex;\n    }\n    .show{\n      opacity: 1;\n    }\n  "
                    ]
                },] },
    ];
    /** @nocollapse */
    TipComponent.ctorParameters = function () { return [
        { type: router_1.Router, },
        { type: core_1.ComponentFactoryResolver, },
        { type: core_1.ElementRef, },
        { type: core_1.Injector, },
        { type: core_1.ApplicationRef, },
    ]; };
    return TipComponent;
}());
exports.TipComponent = TipComponent;
//# sourceMappingURL=tip.component.js.map